package com.goafanti.customer.bo;

public class InputUpdateAndReceiveCustomer {

    private String id;
    private String name;
    private String orgCode;
    private String contacts;
    private String contactMobile;
    private String societyTag;
    private Integer province;
    private Integer city;
    private Integer area;
    private Integer type;
    private String intendedProject;
    private String businessScope;
    private String position;
    private Integer level;
    /**
     * 客户性质0=其他，1=政府机构，2=科研院所，3=高等院校，4=国有企业，5=民营企业，6=社会团体
     */
    private Integer nature;
    /**
     * 客户性质其他说明
     */
    private String natureOther;
    /**
     * 企业性质 0=其他，1=国企，2=央企，3=私企，4=合资企业（含港澳台），5=外资控股
     */
    private Integer enterpriseNature;
    /**
     * 上市 0=否，1=是
     */
    private Integer listedNature;

    private String materialUrl;

    public String getMaterialUrl() {
        return materialUrl;
    }

    public void setMaterialUrl(String materialUrl) {
        this.materialUrl = materialUrl;
    }

    public Integer getNature() {
        return nature;
    }

    public void setNature(Integer nature) {
        this.nature = nature;
    }

    public String getNatureOther() {
        return natureOther;
    }

    public void setNatureOther(String natureOther) {
        this.natureOther = natureOther;
    }

    public Integer getEnterpriseNature() {
        return enterpriseNature;
    }

    public void setEnterpriseNature(Integer enterpriseNature) {
        this.enterpriseNature = enterpriseNature;
    }

    public Integer getListedNature() {
        return listedNature;
    }

    public void setListedNature(Integer listedNature) {
        this.listedNature = listedNature;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getContacts() {
        return contacts;
    }

    public void setContacts(String contacts) {
        this.contacts = contacts;
    }

    public String getContactMobile() {
        return contactMobile;
    }

    public void setContactMobile(String contactMobile) {
        this.contactMobile = contactMobile;
    }

    public String getSocietyTag() {
        return societyTag;
    }

    public void setSocietyTag(String societyTag) {
        this.societyTag = societyTag;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getIntendedProject() {
        return intendedProject;
    }

    public void setIntendedProject(String intendedProject) {
        this.intendedProject = intendedProject;
    }

    public String getBusinessScope() {
        return businessScope;
    }

    public void setBusinessScope(String businessScope) {
        this.businessScope = businessScope;
    }

    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    public Integer getProvince() {
        return province;
    }

    public void setProvince(Integer province) {
        this.province = province;
    }

    public Integer getCity() {
        return city;
    }

    public void setCity(Integer city) {
        this.city = city;
    }

    public Integer getArea() {
        return area;
    }

    public void setArea(Integer area) {
        this.area = area;
    }
}
